Loading...
Searching...
No Matches
event::DataPushService::EntrySettings Struct Reference

Data Push Entry Settings. More...

## Public Attributes

string | url
| Destination host.
boolean | allowOffTimeRangeCerts
| allow expired and not yet valid TLS certificates
string | caCertChain
| TLS CA certificate chain.
boolean | useAuth
| `true` to use HTTP basic authentication
string | username
| Authentication user name.
string | password
| Password; write-only, empty to leave unchanged.
EntryType | type
| Type of data.
vector< string > | items
| Included items (e.g. list of sensors) depending on type.

## Detailed Description

Data Push Entry Settings.

The documentation for this struct was generated from the following file:

- DataPushService.idl